%define name python-curl
%define version 7.15.5.1
%define cvs 20061108
%define release %mkrel 1.%cvs.1
%define oname pycurl

Summary: PycURL -- cURL library module for Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://pycurl.sourceforge.net/download/%{oname}-%{cvs}.tar.bz2
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://pycurl.sourceforge.net/
BuildRequires: curl-devel
BuildRequires: curl >= 7.13.2
BuildRequires: python-devel

%description
This module provides Python bindings for the cURL library.

%prep
%setup -q -n %oname

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf %buildroot installed-docs
python setup.py install --root=$RPM_BUILD_ROOT
mv %buildroot%_datadir/doc/pycurl installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc installed-docs/*
%py_platsitedir/curl/
%py_platsitedir/*


%changelog
* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 7.15.5.1-1.20061108.1mdv2007.0
+ Revision: 88787
- Import python-curl



* Wed Nov 29 2006 Gtz Waschk <waschk@mandriva.org> 7.15.5.1-1.20061108.1mdv2007.1
- cvs snapshot

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-2mdk
- BuildRequires : need recent curl

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-1mdk
- 7.13.2

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 7.12.2-2mdk
- Rebuild for new python

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 7.12.2-1mdk
- initial package
